'use strict';

var _reactQuerystringRouter = require('react-querystring-router');

var _reactQuerystringRouter2 = _interopRequireDefault(_reactQuerystringRouter);

var _reactComponentPlayground = require('react-component-playground');

var _reactComponentPlayground2 = _interopRequireDefault(_reactComponentPlayground);

var _getComponentFixtures = require('./get-component-fixtures');

var _getComponentFixtures2 = _interopRequireDefault(_getComponentFixtures);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getTitleForFixture = function getTitleForFixture(params) {
  var title = 'React Cosmos';

  // Set document title to the name of the selected fixture
  if (params.component && params.fixture) {
    title = params.component + ':' + params.fixture + ' – ' + title;
  }

  return title;
}; /* eslint-env browser */

module.exports = function (_ref) {
  var proxies = _ref.proxies;
  var components = _ref.components;
  var fixtures = _ref.fixtures;
  return new _reactQuerystringRouter2.default.Router({
    container: document.body.appendChild(document.createElement('div')),
    defaultProps: {
      proxies: proxies,
      components: (0, _getComponentFixtures2.default)(components, fixtures)
    },
    getComponentClass: function getComponentClass() {
      return _reactComponentPlayground2.default;
    },
    onChange: function onChange(params) {
      document.title = getTitleForFixture(params);
    }
  });
};